package cn.yw.nhyw.nhywjtxhdgl.service;

import cn.base.bean.BaseService;
import cn.base.util.CommUtils;
import cn.yw.nhyw.nhywjtxhdgl.dao.NhywjtxhdglDao;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.sql.SQLException;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service("nhywjtxhdglService")
public class NhywjtxhdglService extends BaseService {
	
	private static Log log = LogFactory.getLog(NhywjtxhdglService.class);
	
	@Autowired
	private NhywjtxhdglDao nhywjtxhdglDao;
	
	/**
	 * 保存记录
	 */
	public void insert_Nhywjtxhdgl(Map map) throws SQLException{
		CommUtils.addParams(map, false);
		nhywjtxhdglDao.insert_Nhywjtxhdgl(map);
	}

	
	/**
	 * 修改记录
	 */
	public Integer update_Nhywjtxhdgl(Map map) throws SQLException{
		CommUtils.validateUpdateParams(map);
		CommUtils.addParams(map, true);
		return nhywjtxhdglDao.update_Nhywjtxhdgl(map);
	}
	/**
	 * 修改Repairstate
	 */
	public Integer update_NhywjtxhdglRepairstate(Map map) throws SQLException{
		CommUtils.validateUpdateParams(map);
		CommUtils.addParams(map, true);
		return nhywjtxhdglDao.update_NhywjtxhdglRepairstate(map);
	}



	/**
	 * 修改经纬度
	 */
	public Integer updateJtxhdJdWdByXh(Map map) throws SQLException{
		CommUtils.addParams(map, true);
		return nhywjtxhdglDao.updateJtxhdJdWdByXh(map);
	}
	
	/**
	 * 删除记录
	 */
	public Integer delete_Nhywjtxhdgl(Map map) throws SQLException{
		CommUtils.validateDeleteParams(map);
		return nhywjtxhdglDao.delete_Nhywjtxhdgl(map);
	}
	
	/**
	 * 批处理删除记录
	 */
	/*
	public Integer batch_delete_Nhywjtxhdgl(Map map) throws SQLException{
		return nhywjtxhdglDao.batch_delete_Nhywjtxhdgl(map);
	}
	*/
	
	/**
	 * 查询总数
	 */
	/*
	public Integer count_Nhywjtxhdgl(Map map) throws SQLException{
		return nhywjtxhdglDao.count_Nhywjtxhdgl(map);
	}
	*/
	
	/**
	 * 查询列表记录SELECT
	 */
	public List<Map> query_Nhywjtxhdgl(Map map) throws SQLException{
		return nhywjtxhdglDao.query_Nhywjtxhdgl(map);
	}
	/**
	 * 查询全部记录
	 */
	public List<Map> query_AllNhywjtxhdgl(Map map) throws SQLException{
		return nhywjtxhdglDao.query_AllNhywjtxhdgl(map);
	}
	
	/**
	 * 查询一条
	 */
	public Map get_Nhywjtxhdgl(Map map) throws SQLException{
		return nhywjtxhdglDao.get_Nhywjtxhdgl(map);
	}
	
	/**
	 * 导出EXCEL
	 */
	 
	/*
	public Map exportNhywjtxhdgl(Map map) throws SQLException{
		return this.listNhywjtxhdglByPage(map);
	}
	*/
	
	/**
	 * Nhywjtxhdgl 分页
	 */
	public Map listNhywjtxhdglByPage(Map map) throws SQLException {
		List<Map> list = nhywjtxhdglDao.query_Nhywjtxhdgl(map);
		Integer totalCount = nhywjtxhdglDao.count_Nhywjtxhdgl(map);
		map.clear();
		map.put("total", totalCount);
		map.put("rows", list);
		return map;
	}

	/**
	 * Nhywjtxhdgl 总数
	 */
	public Map countNhywjtxhdgl(Map map) throws SQLException {
		Integer totalCount = nhywjtxhdglDao.count_Nhywjtxhdgl(map);
		map.clear();
		map.put("总数", totalCount);
		return map;
	}
	//访问mysql 数据库获得异常数据，并存放到文件中
	public  List<Map>  listXHDStatus()throws SQLException{
		return  nhywjtxhdglDao.listXHDStatus();
	}
	public  Map  listNhywjtxhdglStatus(Map map)throws SQLException{
		List<Map> list = nhywjtxhdglDao.query_NhywjtxhdglStateBypage(map);
		Integer totalCount = nhywjtxhdglDao.count_NhywjtxhdglState(map);
		map.clear();
		map.put("total", totalCount);
		map.put("rows", list);
		return map;
	}
	public  Map  listNhywjtxhdglHistoryState (Map map) throws SQLException{
		List<Map> list = nhywjtxhdglDao.query_NhywjtxhdglHistoryState(map);
		Integer totalCount = nhywjtxhdglDao.count_NhywjtxhdglHistoryState(map);
		map.clear();
		map.put("total", totalCount);
		map.put("rows", list);
		return map;
	}
	public  Map  listNhywjtxhdglStatusStatis(Map map)throws SQLException{
		List<Map> list = nhywjtxhdglDao.query_NhywjtxhdglStateStatis(map);
		Integer totalCount = nhywjtxhdglDao.count_Nhywjtxhdgl(map);

		map.clear();
		map.put("total", totalCount);
		map.put("rows", list);
		return map;

	}

	//@DS("datasource2")
	public Integer  xhdOnline()throws SQLException{
		return  nhywjtxhdglDao.xhdOnline();
	}
	public Map  listYwxhdstatusinfoByPage(Map map)throws SQLException{
		List<Map> list = nhywjtxhdglDao.query_Ywxhdstatusinfo(map);
		Integer totalCount = nhywjtxhdglDao.count_Ywxhdstatusinfo(map);
		map.clear();
		map.put("total", totalCount);
		map.put("rows", list);
		return map;
	}
	public Map  get_YwNoTaskxhdstatusinfo(Map  map)throws SQLException{
		List<Map> list = nhywjtxhdglDao.get_YwNoTaskxhdstatusinfo(map);
		Integer totalCount = nhywjtxhdglDao.get_YwNoTaskxhdstatusCount(map);
		map.clear();
		map.put("total", totalCount);
		map.put("rows", list);
		return map;
	}
	// 更新
	public Integer edit_Ywxhdinfo(Map map) throws SQLException{
		return nhywjtxhdglDao.edit_Ywxhdinfo(map);
	}

	/**
	 * 查询根据qybh 分组 查询全部记录
	 */
	public List<Map> query_AllNhywjtxhdglGroupByqybh(Map map) throws SQLException{
		return nhywjtxhdglDao.query_AllNhywjtxhdglGroupByqybh(map);
	}
	// 更新当前维修状态
	public Integer update_NhyxhdCurrentState(Map map) throws SQLException{
		return nhywjtxhdglDao.update_NhyxhdCurrentState(map);
	}



}
